---
title: PushSubscription.options
slug: Web/API/PushSubscription/options
tags:
  - API
  - Experimental
  - Property
  - Push API
  - PushManager
  - Reference
  - Service Worker
---
<p>{{SeeCompatTable}}{{APIRef("Push API")}}</p>

<p><span class="seoSummary">The <strong><code>options</code></strong> read-only property of the {{domxref("PushSubscription")}} interface is an object containing the options used to create the subscription.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var options = PushSubscription.options</pre>

<h3 id="Value">Value</h3>

<p>An read-only options object containing the following values:</p>

<ul>
 <li><code>userVisibleOnly</code>: A boolean, indicating that the returned push subscription will only be used for messages whose effect is made visible to the user.</li>
 <li><code>applicationServerKey</code>: A public key your push server will use to send messages to client apps via a push server. This value is part of a signing key pair generated by your application server, and usable with elliptic curve digital signature (ECDSA), over the P-256 curve. </li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Push API','#dom-pushsubscription-options','options')}}</td>
   <td>{{Spec2('Push API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.PushSubscription.options")}}</p>
</div>
